ReferenceWebhooks

List webhook endpoints

List your endpoints.

POST
/duranta.api.public.v1.WebhookService/ListWebhookEndpoints

Authorization

Authorizationheaderrequired

Bearer token with the sites:scan scope. You get it in exchange for an API key: see Authentication, or press Try in Playground, which takes your key and gets the token for you.

Request body

application/json
  1. body

Response

Success

application/json
  1. response
endpoints?array<>
List webhook endpoints
curl -X POST \  'https://app.getduranta.com/duranta.api.public.v1.WebhookService/ListWebhookEndpoints' \  -H 'Content-Type: application/json' \  -d '{}'
Response
{  "endpoints": [    {      "id": "string",      "url": "string",      "description": "string",      "createdAt": "2023-01-15T01:30:15.01Z",      "disabledAt": "2023-01-15T01:30:15.01Z",      "disabledReason": "string"    }  ]}